Package ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24

# Class Dvor24Camera

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24.Dvor24Camera

public class Dvor24Camera extends Object
{ "cam_id":2201, "name":"Obzornaya", "realTime":1747261556, "title":"Обзорная", "number":"MOS_999_001", "entrance":0, "stream_status":{"alive":true},"playback_config":{"token":"c9eaf682723e76d9bb7d0bb575f33337052a094b-1747261556","dToken":"BH9eReOAql6IZA+4iedWQXhYgv3BJsxrjDyvpmsaE\/NZFndQMhGi2aGGFYb5zLVv"}, "server":{"hostname":"m13.dvor24.com","http_port":8083,"https_port":8443,"rtsp_port":8554,"ssl":true,"version":"5.5.139"}, "user_attributes":{"favorite":false}, "coordinates":"55.81137438823461 37.36362218856812 20 3 4", "gps":"55.81137438823461 37.36362218856812", "angles":"20 3 4", "objectData":{"address":"город Красногорск, Павшинский б-р, д 34","number":"MOS_999_001","objectNumber":"MOS_999","objectTitle":"MOS_999","objectType":"MKD","object_id":75,"cost_additional_day_storage":40}, "onvif_data":null, "tagId":5, "dvr_protected":false, "dvr_depth":5, "depth_user":5, "malfunction_status_id":null, "malfunction_name":null, "enabled":true, "video_codec":"h264", "checkSecondarySource":false, "constraint_archive":false, "constraint_online":false, "tariff_id":1, "detection_push":false }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dvor24Camera()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCamId()`
  `String`
  `getName()`
  `String`
  `getTitle()`
  `void`
  `setCam_id(int camId)`
  `void`
  `setName(String name)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Dvor24Camera

    public Dvor24Camera()

- ## Method Details

  - ### getCamId

    public int getCamId()

  - ### setCam_id

    public void setCam_id(int camId)

  - ### getName

    public String getName()

  - ### getTitle

    public String getTitle()

  - ### setName

    public void setName(String name)

  - ### setTitle

    public void setTitle(String title)